Support our Sponsors:

Go Back   Touch Arcade > Developer Discussion > Public Game Developers Forum

Reply
 
Thread Tools Display Modes
  #1  
Old 10-02-2012, 06:34 AM
misterSquare misterSquare is offline
Junior Member
 
Join Date: Jul 2012
Posts: 5
Default Testing iOS5 apps on an iOS6 device

Hey folks - quick question here:

I'm popping round to a mates house later to test my game running on his iPad (all I have is an iPhone, so I've been relying on the simulator for testing on iPad so far).

He's already updated to iOS6, whereas I haven't updated my verison of XCode or the actual App in any way. Is this going to cause problems, or should I still be able to run my game on it?

thanks!
Reply With Quote
  #2  
Old 10-02-2012, 07:15 AM
petemorris petemorris is offline
Junior Member
iPhone 4S, iOS 6.x
 
Join Date: Oct 2012
Location: Brighton, UK
Posts: 3
Default

I've still got the previous XCode installed. Just tried it with an iPad running iOS 6 and it looks like you're going to have to upgrade I'm afraid...

You should be able to archive off an IPA file and install it on his iPad using iTunes though.

You'll just need to make sure you're using a non-wildcard App ID, add the UDID for his device to your provisioning profile, and then reinstall your provisioning profile before making the archive.
Reply With Quote
  #3  
Old 10-02-2012, 09:28 AM
BlueSpiral's Avatar
BlueSpiral BlueSpiral is offline
Senior Member
iPod Touch (4th Gen)
 
Join Date: May 2011
Location: Edmonton, Canada
Posts: 245
Default

I've had a couple of games Stacword Original and Stacword Match Day that I've done fixes for so they run correctly on iOS 6. I upgraded my iPod to iOS 6 to test it, then had to upgrade to xcode 4.5 and put mountain lion on my machine to run it. Only cost $20 all together (and several hours)

In xcode 4.5 it has an iOS 5 and 5.1 simulator that you can install. As far as I know.
Reply With Quote
  #4  
Old 10-03-2012, 06:13 PM
joshimoo joshimoo is offline
Junior Member
 
Join Date: Aug 2012
Location: Germany
Posts: 3
Default

If you want to support the new SDK but stay on an older XCode version.
You can follow this guide:
http://www.jonathanhogervorst.com/po...-4-4-and-ios-5
Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Copyright 2012, TouchArcade.com, LLC.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright 2008 - 2011, TouchArcade.com. Privacy Policy / DMCA Copyright Agent